Subject: [Simple] Comments on isComposing

From: [email-masked]
Date: Fri, 30 Apr 2004 11:18:54 +0300

[Not as a WG chair]

Hi,

I sent some NITs to Henning privately. Below are some comments that might be classified more than just NITs (or maybe not:)

Title
--------

- The title mesions that this is for IM using SIP. Is this true? Can't this be used with any other IM protocol, including MSRP? I suggest removing SIP from the title and also changing the mime type to application/im-iscomposing+xml and the XML namespace to im-iscomposing

Description
------------

- "The composing user MAY
   specify a time-out interval measured in seconds, using the <timeout>
   element, after which the isComposing message is resent to refresh the
   state.  The refresh period SHOULD be no shorter than 60 seconds"

. Should this text be normative? It probably is, but then some text is needed describing the behaviour when this SHOULD is violated. I.e. What should the recipient do if it receives a refresh after less than 60 seconds?
 Some text needs to be added describing what the recipient does when a state times out. Does the recipient assume that the originator is instate idle? If so, then should the time-out be limited to active state (if a result of time out means that the originator is now idle, then there is no point of timing out on idle)?

- "When the user starts composing again while in Idle state,
   the state transitions to Active, with the corresponding message."

What does "with the corresponding message" mean? Are you saying the a corresponding status message is sent? If so, please clarify.

- "The idle timeout SHOULD be ten seconds." I agree this is normative text, but some more text needs to be added describing the consequences of the originator not sending an idle state message. I.e. The recipient would have false info that the originator is now composing when he is not.

- "If an instant message is sent before the idle threshold expires, no
   idle state indication is needed"

 Should some text be added stating that the idle timer is started/reset when composing a message ends and the message has been sent, and is disabled when composing a message begins?

. Should the sentence continue to state that "The recipient should, after receiving the instant message, assume the sender is now in idle state"?

- "Thus, in most cases, only one
   message is needed.  The message rate is limited to one message per
   idle threshold interval."

Is this talking about a status message? If so, please indicate so. If not, then the question is why is there a limit to how many messages per idle threshold is specified? Please clarify this sentence.

- "The isComposing indicator MAY be carried in CPIM messages
   [I-D.ietf-impp-cpim-msgfmt]."

Why is this method of carrying the isComposing indicator singled out and mentioned here when all other possibilities are not mentioned?

Using the Indicator
---------------------

- " First, it
   ensures proper sequencing and synchronization with the actual
   messages being composed"

Can some more text or flows be added to emphasise the point more?

Security Considerations
------------------------

You might want to mention that since the status messages are carried using the IM protocol itself, all security protection mechanisms for that IM protocol apply wen also carrying the status in a message.

Thanks,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple